Package com.castlabs.android.settings

# Class AnalyticsSettings

java.lang.Object
com.castlabs.android.settings.AnalyticsSettings

public final class AnalyticsSettings extends Object
Global analytics configuration

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_DISABLED_LABEL`
  Default label reported when no track is selected.
  `static final String`
  `DEFAULT_DRM_NAME_CLEARKEY`
  Default DRM label for ClearKey.
  `static final String`
  `DEFAULT_DRM_NAME_PLAYREADY`
  Default DRM label for PlayReady.
  `static final String`
  `DEFAULT_DRM_NAME_WIDEVINE`
  Default DRM label for Widevine.
  `String`
  `disabledAudioLabel`
  Label reported to analytics when audio is not selected.
  `String`
  `disabledSubtitleLabel`
  Label reported to analytics when subtitles are not selected.
  `String`
  `drmNameClearkey`
  Label reported for ClearKey DRM.
  `String`
  `drmNamePlayready`
  Label reported for PlayReady DRM.
  `String`
  `drmNameWidevine`
  Label reported for Widevine DRM.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnalyticsSettings()`
  Default constructor

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_DISABLED_LABEL

    @NonNull public static final String DEFAULT_DISABLED_LABEL
    Default label reported when no track is selected.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DRM_NAME_WIDEVINE

    @NonNull public static final String DEFAULT_DRM_NAME_WIDEVINE
    Default DRM label for Widevine.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DRM_NAME_PLAYREADY

    @NonNull public static final String DEFAULT_DRM_NAME_PLAYREADY
    Default DRM label for PlayReady.
    See Also:
      - Constant Field Values

  - ### DEFAULT_DRM_NAME_CLEARKEY

    @NonNull public static final String DEFAULT_DRM_NAME_CLEARKEY
    Default DRM label for ClearKey.
    See Also:
      - Constant Field Values

  - ### disabledSubtitleLabel

    @NonNull public volatile String disabledSubtitleLabel
    Label reported to analytics when subtitles are not selected.

  - ### disabledAudioLabel

    @NonNull public volatile String disabledAudioLabel
    Label reported to analytics when audio is not selected.

  - ### drmNameWidevine

    @NonNull public volatile String drmNameWidevine
    Label reported for Widevine DRM.

  - ### drmNamePlayready

    @NonNull public volatile String drmNamePlayready
    Label reported for PlayReady DRM.

  - ### drmNameClearkey

    @NonNull public volatile String drmNameClearkey
    Label reported for ClearKey DRM.

- ## Constructor Details

  - ### AnalyticsSettings

    public AnalyticsSettings()
    Default constructor